Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.model.bean
Class ManagerBean

    java.lang.Object
      org.eclipse.higgins.ics.model.bean.ManagerBean

public class ManagerBean
extends Object

Author:
  Alexander Yuhimenko

Constructor Summary
`ManagerBean()`

Method Summary
`Response` | `checkImportStream(String userId, String password, byte[] crd)`
`Response` | `clearCardCredential(String userId, String password, String cuid)`
`Response` | `clearCardHistory(String userId, String password, String cuid)`
`Response` | `createCategory(Category category, String userIdentifier, String userPassword)`
`Response` | `createDuplicateCard(String cuid, String cardName, String pinCode, String userIdentifier, String userPassword)`
`Response` | `createICard(CardTemplate cardTemplate, String userIdentifier, String userPassword)`
`Response` | `deleteAllCard(String userIdentifier, String userPassword)`
`Response` | `deleteCategory(Category category, String userIdentifier, String userPassword)`
`Response` | `deleteICard(String cuid, String userIdentifier, String userPassword)`
`Response` | `deleteUrlsCardRelation(String userId, String password, String cuid, String[] urls)`
`Response` | `editPinCode(String userId, String password, String cuid, String oldPinCode, String newPinCode)`
`Response` | `exportICards(String userId, String password, String formatID, String[] cards, CardCredential credential)`
`Response` | `getCardByCredential(Card card, String userIdentifier, String userPassword)`
`Response` | `getCardById(String cuid, String userIdentifier, String userPassword)`
`Response` | `getCardHistory(String userId, String password, String cuid, int startFrom, int capacity, String orderBy, String orderDirection)`
`Response` | `getCardInformation(String cuid, String userIdentifier, String userPassword, int size)`
`Response` | `getCurrentState(String userId, String userPassword)`
`Response` | `getDefaultPCard(String userId, String password)`
`byte[]` | `getFileFromSession(javax.servlet.http.HttpSession session)`
`Response` | `getICardsByFormat(String userId, String password, String formatID)`
`Response` | `getICardTemplate(String userIdentifier, String userPassword)`
`Response` | `getMRU(String userId, String password)`
`Response` | `getOutputFormats(String userId, String password)`
`WSClient` | `getWsClient()`
`Response` | `importCards(String userIdentifier, String userPassword, byte[] fileData)`
`Response` | `modifyCategories(String userId, String password, Category[] categories)`
`Response` | `modifyCategory(Category category, String userIdentifier, String userPassword)`
`Response` | `modifyICard(Card card, String userIdentifier, String userPassword)`
`Response` | `modifyUserProfile(UserProfile userProfile, String userIdentifier, String userPassword)`
`Response` | `processLogon(String userIdentifier, String userPassword)`
`Response` | `putCredentialForRestore(String userIdentifier, String userPassword, byte[] fileData, FormatDescriptor descriptor)`
`Response` | `putFileToSession(byte[] file, javax.servlet.http.HttpSession session)`
`Response` | `putImageForIE(String image, javax.servlet.http.HttpSession session)`
`Response` | `resetPinCode(Card card, String userIdentifier, String userPassword)`
`Response` | `setCardCredential(String userId, String password, String cuid, CardCredential tokenCredential)`
`Response` | `setDefaultPCard(String userId, String userPassword, String cardUid)`
`Response` | `setPinCode(Card card, String pinCode, String userIdentifier, String userPassword)`
`Response` | `setUrlsCardRelation(String userId, String password, String cuid, String[] urls)`
`Response` | `updateClaimAcrossCards(String userId, String password, String[] claimType, String[] claimValue, CardUpdate[] cardUpdate)`
`Response` | `updateICards(String userId, String password, Card[] cards)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagerBean

    public ManagerBean()

Method Detail

### getCurrentState

    public Response getCurrentState(String userId,
                                    String userPassword)

  Parameters:
    `userId` -
    `userPassword` -
  Returns:
    CurrentState

### processLogon

    public Response processLogon(String userIdentifier,
                                 String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### modifyUserProfile

    public Response modifyUserProfile(UserProfile userProfile,
                                      String userIdentifier,
                                      String userPassword)

  Parameters:
    `userProfile` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### modifyICard

    public Response modifyICard(Card card,
                                String userIdentifier,
                                String userPassword)

  Parameters:
    `card` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### getICardTemplate

    public Response getICardTemplate(String userIdentifier,
                                     String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### createICard

    public Response createICard(CardTemplate cardTemplate,
                                String userIdentifier,
                                String userPassword)

  Parameters:
    `cardTemplate` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### createCategory

    public Response createCategory(Category category,
                                   String userIdentifier,
                                   String userPassword)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### modifyCategory

    public Response modifyCategory(Category category,
                                   String userIdentifier,
                                   String userPassword)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteCategory

    public Response deleteCategory(Category category,
                                   String userIdentifier,
                                   String userPassword)

  Parameters:
    `category` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteICard

    public Response deleteICard(String cuid,
                                String userIdentifier,
                                String userPassword)

  Parameters:
    `cuid` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### getCardByCredential

    public Response getCardByCredential(Card card,
                                        String userIdentifier,
                                        String userPassword)

  Parameters:
    `card` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### setPinCode

    public Response setPinCode(Card card,
                               String pinCode,
                               String userIdentifier,
                               String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### editPinCode

    public Response editPinCode(String userId,
                                String password,
                                String cuid,
                                String oldPinCode,
                                String newPinCode)

### resetPinCode

    public Response resetPinCode(Card card,
                                 String userIdentifier,
                                 String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### createDuplicateCard

    public Response createDuplicateCard(String cuid,
                                        String cardName,
                                        String pinCode,
                                        String userIdentifier,
                                        String userPassword)

  Parameters:
    `cuid` -
    `cardName` -
    `userIdentifier` -
    `userPassword` -
  Returns:

### deleteAllCard

    public Response deleteAllCard(String userIdentifier,
                                  String userPassword)

  Parameters:
    `userIdentifier` -
    `userPassword` -
  Returns:

### importCards

    public Response importCards(String userIdentifier,
                                String userPassword,
                                byte[] fileData)

  Parameters:
    `userIdentifier` -
    `userPassword` -
    `fileData` -
  Returns:

### getCardInformation

    public Response getCardInformation(String cuid,
                                       String userIdentifier,
                                       String userPassword,
                                       int size)

### clearCardHistory

    public Response clearCardHistory(String userId,
                                     String password,
                                     String cuid)

### setUrlsCardRelation

    public Response setUrlsCardRelation(String userId,
                                        String password,
                                        String cuid,
                                        String[] urls)

### deleteUrlsCardRelation

    public Response deleteUrlsCardRelation(String userId,
                                           String password,
                                           String cuid,
                                           String[] urls)

### clearCardCredential

    public Response clearCardCredential(String userId,
                                        String password,
                                        String cuid)

### putImageForIE

    public Response putImageForIE(String image,
                                  javax.servlet.http.HttpSession session)

### putFileToSession

    public Response putFileToSession(byte[] file,
                                     javax.servlet.http.HttpSession session)

### getFileFromSession

    public byte[] getFileFromSession(javax.servlet.http.HttpSession session)

### modifyCategories

    public Response modifyCategories(String userId,
                                     String password,
                                     Category[] categories)

### setCardCredential

    public Response setCardCredential(String userId,
                                      String password,
                                      String cuid,
                                      CardCredential tokenCredential)

### getCardById

    public Response getCardById(String cuid,
                                String userIdentifier,
                                String userPassword)

### checkImportStream

    public Response checkImportStream(String userId,
                                      String password,
                                      byte[] crd)

### putCredentialForRestore

    public Response putCredentialForRestore(String userIdentifier,
                                            String userPassword,
                                            byte[] fileData,
                                            FormatDescriptor descriptor)

### getCardHistory

    public Response getCardHistory(String userId,
                                   String password,
                                   String cuid,
                                   int startFrom,
                                   int capacity,
                                   String orderBy,
                                   String orderDirection)

### getOutputFormats

    public Response getOutputFormats(String userId,
                                     String password)

### getICardsByFormat

    public Response getICardsByFormat(String userId,
                                      String password,
                                      String formatID)

### getDefaultPCard

    public Response getDefaultPCard(String userId,
                                    String password)

### setDefaultPCard

    public Response setDefaultPCard(String userId,
                                    String userPassword,
                                    String cardUid)

### exportICards

    public Response exportICards(String userId,
                                 String password,
                                 String formatID,
                                 String[] cards,
                                 CardCredential credential)

### getMRU

    public Response getMRU(String userId,
                           String password)

### updateClaimAcrossCards

    public Response updateClaimAcrossCards(String userId,
                                           String password,
                                           String[] claimType,
                                           String[] claimValue,
                                           CardUpdate[] cardUpdate)

### updateICards

    public Response updateICards(String userId,
                                 String password,
                                 Card[] cards)

### getWsClient

    public WSClient getWsClient()

  Returns:
    the wsClient

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD